package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

/**
 * @Description 订单地址DTO
 * @Author: ph
 * @Date: 2020/7/2 16:22
 */
public class OrderAddrDTO {

    private String orderNo;

    /**
     * 收货人姓名
     */
    private String acceptName;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 邮编
     */
    private String zip;

    /**
     * 省 id
     */
    private Integer province;

    /**
     * 市 id
     */
    private Integer city;

    /**
     * 区 id
     */
    private Integer area;

    /**
     * 街道地址
     */
    private String street;

    /**
     * 经度
     */
    private String lng;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 联系电话
     */
    private String mobile;

    /**
     * 门牌号
     */
    private String doorNumber;

    /**
     * 省 名称
     */
    private String provinceName;

    /**
     * 市 名称
     */
    private String cityName;

    /**
     * 区 名称
     */
    private String areaName;

    /**
     * 标签
     */
    private Integer label;

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getAcceptName() {
        return acceptName;
    }

    public void setAcceptName(String acceptName) {
        this.acceptName = acceptName;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getZip() {
        return zip;
    }

    public void setZip(String zip) {
        this.zip = zip;
    }

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public Integer getCity() {
        return city;
    }

    public void setCity(Integer city) {
        this.city = city;
    }

    public Integer getArea() {
        return area;
    }

    public void setArea(Integer area) {
        this.area = area;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getDoorNumber() {
        return doorNumber;
    }

    public void setDoorNumber(String doorNumber) {
        this.doorNumber = doorNumber;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Integer getLabel() {
        return label;
    }

    public void setLabel(Integer label) {
        this.label = label;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
